Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.cxf.support
Class OutputPayloadInterceptor

    java.lang.Object
      org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>
          org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor
              org.mule.module.cxf.support.OutputPayloadInterceptor

All Implemented Interfaces:
  org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.message.Message>

    public class OutputPayloadInterceptor

extends org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor

Field Summary

Fields inherited from class org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor
`DISABLE_OUTPUTSTREAM_OPTIMIZATION, OUT_BUFFERING`

Constructor Summary
`OutputPayloadInterceptor()`

Method Summary
`protected Object` | `cleanUpPayload(Object payload)`
`protected void` | `ensurePartIndexMatchListIndex(org.apache.cxf.message.MessageContentsList contentList, List<org.apache.cxf.service.model.MessagePartInfo> parts)` Ensures that each part's content is in the right place in the content list.
`protected Object` | `getDelayedResultCallback(DelayedResult r)`
`void` | `handleMessage(org.apache.cxf.message.Message message)`

Methods inherited from class org.apache.cxf.interceptor.AbstractOutDatabindingInterceptor
`getDataWriter, getXMLStreamWriter, isBufferingEnabled, isRequestor, shouldValidate, writeParts, writeToOutputStream`

Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor
`addAfter, addAfter, addBefore, addBefore, getAfter, getBefore, getId, getPhase, handleFault, isGET, setAfter, setBefore`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputPayloadInterceptor

    public OutputPayloadInterceptor()

Method Detail

### handleMessage

    public void handleMessage(org.apache.cxf.message.Message message)
                       throws org.apache.cxf.interceptor.Fault

  Throws:
    `org.apache.cxf.interceptor.Fault`

### ensurePartIndexMatchListIndex

    protected void ensurePartIndexMatchListIndex(org.apache.cxf.message.MessageContentsList contentList,
                                                 List<org.apache.cxf.service.model.MessagePartInfo> parts)

  Ensures that each part's content is in the right place in the content list.

  This is required because in some scenarios there are parts that were removed from the part list. In that cases, the content list contains only the values for the remaining parts, but the part's indexes could be wrong. This method fixes that adding null values into the content list so the part's index matches the contentList index. (Related to: MULE-5113.)

### cleanUpPayload

    protected Object cleanUpPayload(Object payload)

### getDelayedResultCallback

    protected Object getDelayedResultCallback(DelayedResult r)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.